Apache2.2 and PHP5

As some of you may know PHP4 is reaching “End of Life” status at the end of this year, and the strong push to PHP5 is in full swing.

For the last month I have been testing PHP5 configurations with various applications provided by Fantastico and Installatron – and results have been very positive, however I have found some applications which do not play well with PHP5, so I have held off on deploying it across the board on all servers.

So your mission is to upgrade those apps! If you have had custom programming work done, or are a PHP coder yourself not familiar with PHP5, PHP has released a migration notes which offer some tips on where things can be an issue, so please be sure to review things there and make sure your site is literally up to code.

If you have an application, and are not familiar with how to upgrade or need help determining PHP5 compatibility, please simply contact_me for further assistance in getting squared away – the end goal is deployment of PHP5 as the primary PHP version by the end of November 2007 – so stay tuned to the blog/newsletter for more information!